classification
Title: Implement PEP 578
Type: enhancement Stage: resolved
Components: Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: christian.heimes, miss-islington, pablogsal, steve.dower
Priority: normal Keywords: patch

Created on 2019-05-07 20:48 by steve.dower, last changed 2019-06-10 15:38 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12613 merged steve.dower, 2019-05-07 20:48
PR 13556 merged steve.dower, 2019-05-24 19:09
PR 13707 merged pablogsal, 2019-05-31 18:06
PR 13940 merged christian.heimes, 2019-06-10 13:33
PR 13942 merged miss-islington, 2019-06-10 15:20
Messages (10)
msg341819 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-05-07 20:48
Implement PEP 578
msg343304 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-05-23 15:45
New changeset b82e17e626f7b1cd98aada0b1ebb65cb9f8fb184 by Steve Dower in branch 'master':
bpo-36842: Implement PEP 578 (GH-12613)
https://github.com/python/cpython/commit/b82e17e626f7b1cd98aada0b1ebb65cb9f8fb184
msg343312 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-05-23 16:52
test_gdb failed on the Debian PGO buildbot

https://buildbot.python.org/all/#builders/47/builds/2854

I'm going to do what I can to investigate, but I may be out of my depth here!
msg343315 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-23 17:17
I created bpo-37023 to track the test_gdb failure: "test_gdb failed on AMD64 Debian PGO 3.x".
msg343414 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-24 17:27
It seems like there are reference leaks:

https://buildbot.python.org/all/#/builders/1/builds/593

test_audit leaked [310, 310, 310] references, sum=930
test_audit leaked [189, 189, 189] memory blocks, sum=567

You may try test.bisect_cmd to debug this.
msg343419 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-05-24 18:34
Since hooks can't be removed, it probably looks like a leak when some are added for the tests.

I'll update all the tests to run in new processes.
msg343891 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-05-29 15:20
New changeset 9ddc416e9f6635376312c3615193f19480ac772a by Steve Dower in branch 'master':
bpo-36842: Fix reference leak in tests by running out-of-proc (GH-13556)
https://github.com/python/cpython/commit/9ddc416e9f6635376312c3615193f19480ac772a
msg344217 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2019-06-01 20:18
New changeset 3b57f50efc16c65df96914ec53bc8d3dc28e18b6 by Pablo Galindo in branch 'master':
bpo-36842: Pass positional only parameters to code_new audit hook (GH-13707)
https://github.com/python/cpython/commit/3b57f50efc16c65df96914ec53bc8d3dc28e18b6
msg345131 - (view) Author: miss-islington (miss-islington) Date: 2019-06-10 15:19
New changeset 8a8b59c9794674b50b2242698c29038034f4864c by Miss Islington (bot) (Christian Heimes) in branch 'master':
bpo-37215: Fix dtrace issue introduce by bpo-36842 (GH-13940)
https://github.com/python/cpython/commit/8a8b59c9794674b50b2242698c29038034f4864c
msg345133 - (view) Author: miss-islington (miss-islington) Date: 2019-06-10 15:38
New changeset bac6e63fd63960a1ab862befab42de05d32667c2 by Miss Islington (bot) in branch '3.8':
bpo-37215: Fix dtrace issue introduce by bpo-36842 (GH-13940)
https://github.com/python/cpython/commit/bac6e63fd63960a1ab862befab42de05d32667c2
History
Date User Action Args
2019-06-10 15:38:31miss-islingtonsetmessages: + msg345133
2019-06-10 15:20:13miss-islingtonsetpull_requests: + pull_request13810
2019-06-10 15:19:56miss-islingtonsetnosy: + miss-islington
messages: + msg345131
2019-06-10 14:54:06vstinnersetnosy: - vstinner
2019-06-10 13:33:55christian.heimessetpull_requests: + pull_request13808
2019-06-01 20:18:51pablogsalsetnosy: + pablogsal
messages: + msg344217
2019-05-31 18:06:38pablogsalsetpull_requests: + pull_request13594
2019-05-29 15:29:33steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-05-29 15:20:52steve.dowersetmessages: + msg343891
2019-05-24 19:09:56steve.dowersetkeywords: + patch
stage: commit review -> patch review
pull_requests: + pull_request13467
2019-05-24 18:34:23steve.dowersetmessages: + msg343419
2019-05-24 17:27:00vstinnersetmessages: + msg343414
2019-05-23 17:17:12vstinnersetnosy: + vstinner
messages: + msg343315
2019-05-23 16:52:08steve.dowersetmessages: + msg343312
stage: patch review -> commit review
2019-05-23 15:45:44steve.dowersetmessages: + msg343304
2019-05-07 20:48:32steve.dowercreate